Subject: bug#3454: <SPC> when reading the emacs manual sometimes goes to the wrong node

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Jun 2009 12:06:12 -0400

>> This is not a bug: SPC does _not_ necessarily go to the Next node;
>> instead, it traverses the nodes as a tree: if there is a menu in the
>> current node, it takes you to the first menu item of that menu.

> Thanks for the quick response :-)

> I see what my problem was now.  Each item listed in the Index is a
> subnode of the Index.  So pressing <SPC> at the bottom of the Index
> page will take me to the first item listed in the Index.  I was
> expecting it to take me to the Next node in the manual, since I didn't
> realize that the index entries were considered subnodes.

Actually I think that SPC's behavior in index nodes is wrong.
Basically, SPC currently presumes that info nodes linked by menus form
a tree, and it is mostly true, but not for index menus.

        Stefan